<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>JavaVersion (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="JavaVersion (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/api/InvalidUserDataException.html" title="class in org.gradle.api"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/api/Named.html" title="interface in org.gradle.api"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/api/JavaVersion.html" target="_top">Frames</a></li>
<li><a href="JavaVersion.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum_constant_summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum_constant_detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api</div>
<h2 title="Enum JavaVersion" class="title">Enum JavaVersion</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">java.lang.Enum</a>&lt;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.gradle.api.JavaVersion</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public enum <span class="strong">JavaVersion</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a>&lt;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&gt;</pre>
<div class="block">An enumeration of Java versions.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum_constant_summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#VERSION_1_1">VERSION_1_1</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#VERSION_1_10">VERSION_1_10</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#VERSION_1_2">VERSION_1_2</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#VERSION_1_3">VERSION_1_3</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#VERSION_1_4">VERSION_1_4</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#VERSION_1_5">VERSION_1_5</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#VERSION_1_6">VERSION_1_6</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#VERSION_1_7">VERSION_1_7</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#VERSION_1_8">VERSION_1_8</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#VERSION_1_9">VERSION_1_9</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#current()">current</a></strong>()</code>
<div class="block">Returns the version of the current JVM.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#forClass(byte[])">forClass</a></strong>(byte[]&nbsp;classData)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#forClassVersion(int)">forClassVersion</a></strong>(int&nbsp;classVersion)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#getMajorVersion()">getMajorVersion</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#isJava10Compatible()">isJava10Compatible</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#isJava5()">isJava5</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#isJava5Compatible()">isJava5Compatible</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#isJava6()">isJava6</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#isJava6Compatible()">isJava6Compatible</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#isJava7()">isJava7</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#isJava7Compatible()">isJava7Compatible</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#isJava8Compatible()">isJava8Compatible</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#isJava9Compatible()">isJava9Compatible</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#toString()">toString</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#toVersion(java.lang.Object)">toVersion</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Converts the given object into a <code>JavaVersion</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#valueOf(java.lang.String)">valueOf</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>[]</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/JavaVersion.html#values()">values</a></strong>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#compareTo(E)" title="class or interface in java.lang">compareTo</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#getDeclaringClass()" title="class or interface in java.lang">getDeclaringClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#name()" title="class or interface in java.lang">name</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#ordinal()" title="class or interface in java.lang">ordinal</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#valueOf(java.lang.Class,%20java.lang.String)" title="class or interface in java.lang">valueOf</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum_constant_detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="VERSION_1_1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VERSION_1_1</h4>
<pre>public static final&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a> VERSION_1_1</pre>
</li>
</ul>
<a name="VERSION_1_2">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VERSION_1_2</h4>
<pre>public static final&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a> VERSION_1_2</pre>
</li>
</ul>
<a name="VERSION_1_3">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VERSION_1_3</h4>
<pre>public static final&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a> VERSION_1_3</pre>
</li>
</ul>
<a name="VERSION_1_4">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VERSION_1_4</h4>
<pre>public static final&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a> VERSION_1_4</pre>
</li>
</ul>
<a name="VERSION_1_5">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VERSION_1_5</h4>
<pre>public static final&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a> VERSION_1_5</pre>
</li>
</ul>
<a name="VERSION_1_6">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VERSION_1_6</h4>
<pre>public static final&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a> VERSION_1_6</pre>
</li>
</ul>
<a name="VERSION_1_7">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VERSION_1_7</h4>
<pre>public static final&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a> VERSION_1_7</pre>
</li>
</ul>
<a name="VERSION_1_8">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VERSION_1_8</h4>
<pre>public static final&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a> VERSION_1_8</pre>
</li>
</ul>
<a name="VERSION_1_9">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VERSION_1_9</h4>
<pre>public static final&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a> VERSION_1_9</pre>
</li>
</ul>
<a name="VERSION_1_10">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>VERSION_1_10</h4>
<pre>public static final&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a> VERSION_1_10</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (JavaVersion c : JavaVersion.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>an array containing the constants of this enum type, in the order they are declared</dd></dl>
</li>
</ul>
<a name="valueOf(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;valueOf(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="strong">Returns:</span></dt><dd>the enum constant with the specified name</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if this enum type has no constant with the specified name</dd>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/NullPointerException.html?is-external=true" title="class or interface in java.lang">NullPointerException</a></code> - if the argument is null</dd></dl>
</li>
</ul>
<a name="toVersion(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toVersion</h4>
<pre>public static&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;toVersion(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)
                             throws <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></pre>
<div class="block">Converts the given object into a <code>JavaVersion</code>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>value</code> - An object whose toString() value is to be converted. May be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The version, or null if the provided value is null.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - when the provided value cannot be converted.</dd></dl>
</li>
</ul>
<a name="current()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>current</h4>
<pre>public static&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;current()</pre>
<div class="block">Returns the version of the current JVM.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The version of the current JVM.</dd></dl>
</li>
</ul>
<a name="forClassVersion(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>forClassVersion</h4>
<pre>public static&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;forClassVersion(int&nbsp;classVersion)</pre>
</li>
</ul>
<a name="forClass(byte[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>forClass</h4>
<pre>public static&nbsp;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;forClass(byte[]&nbsp;classData)</pre>
</li>
</ul>
<a name="isJava5()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isJava5</h4>
<pre>public&nbsp;boolean&nbsp;isJava5()</pre>
</li>
</ul>
<a name="isJava6()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isJava6</h4>
<pre>public&nbsp;boolean&nbsp;isJava6()</pre>
</li>
</ul>
<a name="isJava7()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isJava7</h4>
<pre>public&nbsp;boolean&nbsp;isJava7()</pre>
</li>
</ul>
<a name="isJava5Compatible()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isJava5Compatible</h4>
<pre>public&nbsp;boolean&nbsp;isJava5Compatible()</pre>
</li>
</ul>
<a name="isJava6Compatible()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isJava6Compatible</h4>
<pre>public&nbsp;boolean&nbsp;isJava6Compatible()</pre>
</li>
</ul>
<a name="isJava7Compatible()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isJava7Compatible</h4>
<pre>public&nbsp;boolean&nbsp;isJava7Compatible()</pre>
</li>
</ul>
<a name="isJava8Compatible()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isJava8Compatible</h4>
<pre>public&nbsp;boolean&nbsp;isJava8Compatible()</pre>
</li>
</ul>
<a name="isJava9Compatible()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isJava9Compatible</h4>
<pre>public&nbsp;boolean&nbsp;isJava9Compatible()</pre>
</li>
</ul>
<a name="isJava10Compatible()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isJava10Compatible</h4>
<pre><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;boolean&nbsp;isJava10Compatible()</pre>
</li>
</ul>
<a name="toString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#toString()" title="class or interface in java.lang">toString</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a>&lt;<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getMajorVersion()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMajorVersion</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMajorVersion()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/api/InvalidUserDataException.html" title="class in org.gradle.api"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/api/Named.html" title="interface in org.gradle.api"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/api/JavaVersion.html" target="_top">Frames</a></li>
<li><a href="JavaVersion.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum_constant_summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum_constant_detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
